Debian Bug report logs - #604665
scheme2c: Please add armhf support

version graph

Package: src:scheme2c; Maintainer for src:scheme2c is Barak A. Pearlmutter <bap@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 23 Nov 2010 12:24:01 UTC

Severity: wishlist

Tags: patch

Fixed in version scheme2c/2011.07.19-1

Done: bap@debian.org (Barak A. Pearlmutter)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Barak A. Pearlmutter <bap@debian.org>:
Bug#604665; Package src:scheme2c. (Tue, 23 Nov 2010 12:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Barak A. Pearlmutter <bap@debian.org>. (Tue, 23 Nov 2010 12:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: scheme2c: Please add armhf support
Date: Tue, 23 Nov 2010 15:24:39 +0000
[Message part 1 (text/plain, inline)]
Source: scheme2c
Severity: wishlist
Tags: patch

Hi,

The armhf port has reached a very good state (at 87%) at debian-ports.org,
and I'm now mass-filing bug reports to packages for armhf support.
Most packages just have to add armhf in the architecture field. The complete
list is in http://wiki.debian.org/ArmHardFloatTodo

The package builds fine using the attached patch.

Please consider adding armhf support. :)

Regards

Konstantinos


-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[scheme2c-armhf.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Barak A. Pearlmutter <bap@debian.org>:
Bug#604665; Package src:scheme2c. (Tue, 23 Nov 2010 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to barak@cs.nuim.ie:
Extra info received and forwarded to list. Copy sent to Barak A. Pearlmutter <bap@debian.org>. (Tue, 23 Nov 2010 13:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 604665@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <barak@cs.nuim.ie>
To: Konstantinos Margaritis <markos@genesi-usa.com>
Cc: 604665@bugs.debian.org
Subject: Re: Bug#604665: scheme2c: Please add armhf support
Date: Tue, 23 Nov 2010 13:26:12 +0000
Patch accepted, pushed to git.
(Although it still won't work on ARM: needs some actual work.)

					--Barak.
--
Barak A. Pearlmutter
 Hamilton Institute & Dept Comp Sci, NUI Maynooth, Co. Kildare, Ireland
 http://www.bcl.hamilton.ie/~barak/




Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:23 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from "Barak A. Pearlmutter" <barak@cs.nuim.ie> to control@bugs.debian.org. (Mon, 14 Feb 2011 19:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Barak A. Pearlmutter <bap@debian.org>:
Bug#604665; Package src:scheme2c. (Fri, 15 Jul 2011 22:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Barak A. Pearlmutter <bap@debian.org>. (Fri, 15 Jul 2011 22:33:11 GMT) Full text and rfc822 format available.

Message #19 received at 604665@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: barak@cs.nuim.ie, 604665@bugs.debian.org
Cc: Konstantinos Margaritis <markos@genesi-usa.com>
Subject: Re: Bug#604665: scheme2c: Please add armhf support
Date: Sat, 16 Jul 2011 00:32:29 +0200
Hello,

On Tue, Nov 23, 2010 at 01:26:12PM +0000, Barak A. Pearlmutter wrote:
> Patch accepted, pushed to git.
> (Although it still won't work on ARM: needs some actual work.)
 
 Thanks! Is the upload planned sometime soon?

Best regards




Reply sent to bap@debian.org (Barak A. Pearlmutter):
You have taken responsibility. (Tue, 19 Jul 2011 18:36:05 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Tue, 19 Jul 2011 18:36:05 GMT) Full text and rfc822 format available.

Message #24 received at 604665-close@bugs.debian.org (full text, mbox):

From: bap@debian.org (Barak A. Pearlmutter)
To: 604665-close@bugs.debian.org
Subject: Bug#604665: fixed in scheme2c 2011.07.19-1
Date: Tue, 19 Jul 2011 18:34:02 +0000
Source: scheme2c
Source-Version: 2011.07.19-1

We believe that the bug you reported is fixed in the latest version of
scheme2c, which is due to be installed in the Debian FTP archive:

scheme2c-doc_2011.07.19-1_all.deb
  to main/s/scheme2c/scheme2c-doc_2011.07.19-1_all.deb
scheme2c_2011.07.19-1.debian.tar.gz
  to main/s/scheme2c/scheme2c_2011.07.19-1.debian.tar.gz
scheme2c_2011.07.19-1.dsc
  to main/s/scheme2c/scheme2c_2011.07.19-1.dsc
scheme2c_2011.07.19-1_amd64.deb
  to main/s/scheme2c/scheme2c_2011.07.19-1_amd64.deb
scheme2c_2011.07.19.orig.tar.gz
  to main/s/scheme2c/scheme2c_2011.07.19.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604665@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barak A. Pearlmutter <bap@debian.org> (supplier of updated scheme2c package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Jul 2011 19:41:56 +0200
Source: scheme2c
Binary: scheme2c scheme2c-doc
Architecture: source amd64 all
Version: 2011.07.19-1
Distribution: unstable
Urgency: low
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Changed-By: Barak A. Pearlmutter <bap@debian.org>
Description: 
 scheme2c   - Joel Bartlett's fabled Scheme->C system
 scheme2c-doc - Documentation for the Scheme->C system
Closes: 604665
Changes: 
 scheme2c (2011.07.19-1) unstable; urgency=low
 .
   * bump standards version (debian/control)
   * add useful utilities to package
     - s2cxl.a (X library for linking to) and associated *.sch include files
     - s2cdecl (generate C declarations from Scheme code, for linking) as s2cdecl
     - s2ch (generate C headers, for linking external C)
     - s2cixl (interpreter with X procedures available)
     - sizeof.cdecl (standard sizes on current architecture)
   * debhelper 8
   * accept armhf patch to debian/control and debian/rules (closes: #604665)
   * allow parallel build (debian/rules)
   * merge upstream changes:
     - increase AMD64 max heap size
     - ditch gensym
     - emit some prototypes
     - add -Wall option to gcc invocation
     - rename scc to s2cc, sci to s2ci, etc
   * add symbolic links for old names: s2ci to sci, s2cc to scc, etc
   * add examples: X11 programs written in Scheme->C and appropriate Makefile
Checksums-Sha1: 
 b5db85c3625954d9d1698d51189a11d3caa1bdfd 1364 scheme2c_2011.07.19-1.dsc
 2099fec4c40c1017e988683f0d092b84b23ec1d2 730651 scheme2c_2011.07.19.orig.tar.gz
 5a2c6945a9b08677ed83937488ce05f613bdd25a 6934 scheme2c_2011.07.19-1.debian.tar.gz
 317dd81e19c475efe5fb23eb64e2910bfd04d923 1964244 scheme2c_2011.07.19-1_amd64.deb
 566bd1940b82e6b381d45ce301e874b0ca71728a 896606 scheme2c-doc_2011.07.19-1_all.deb
Checksums-Sha256: 
 ddc17ec3dbc3fa42e9a2e62113d78bba84fbbfee52804f5895159923495fd06a 1364 scheme2c_2011.07.19-1.dsc
 add9efcd354ef29f65b7219fd68e33b6dae272be9a0ac2117e51a36594437cda 730651 scheme2c_2011.07.19.orig.tar.gz
 6e16c3df0d91baaf9763aa730e5e8812959cfc152c88de67d4b7ada2a8cecc67 6934 scheme2c_2011.07.19-1.debian.tar.gz
 926479914869c5c2cbfabfdf99fcc831aa7b1b71bb7669890c38f9f830e1bcdf 1964244 scheme2c_2011.07.19-1_amd64.deb
 2d1fc802a9788c4c4b9a6c80d6c2dccebb7e870ba5bf8e7f3aea064d9ed42b4f 896606 scheme2c-doc_2011.07.19-1_all.deb
Files: 
 63404a4b554319ddb2f30c35cb97e4f9 1364 lisp extra scheme2c_2011.07.19-1.dsc
 3e17d4e63c20f87983c11af93e3bd150 730651 lisp extra scheme2c_2011.07.19.orig.tar.gz
 1abdcd5c4ad1009b9abec5809840e727 6934 lisp extra scheme2c_2011.07.19-1.debian.tar.gz
 821966cdada25a0006f344022d671ff1 1964244 lisp extra scheme2c_2011.07.19-1_amd64.deb
 0d7b58efd2ad301c16d4cc3c465d3fde 896606 doc extra scheme2c-doc_2011.07.19-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk4lyqQACgkQLz4Gnv7CP7InqQCePGkAcKHSMwRpnB8sYlaHk+4f
m2QAn3sDEED4a0/ttkHhYn49OwkYz38b
=5uRq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:37:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:13:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.